LibreOffice: XStateChangeListener Interface Reference

LibreOffice LibreOffice 25.2 SDK API Reference |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XStateChangeListener Interface Referencepublished

makes it possible to receive events when an embedded object changes it's state. More...

`import "XStateChangeListener.idl";`

Inheritance diagram for XStateChangeListener:

## Public Member Functions
void | changingState ([in] com::sun::star::lang::EventObject aEvent, [in] long nOldState, [in] long nNewState) raises ( ::com::sun::star::embed::WrongStateException )
| is called just before the object changes state.
void | stateChanged ([in] com::sun::star::lang::EventObject aEvent, [in] long nOldState, [in] long nNewState)
| is called after the object has changed state.
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

makes it possible to receive events when an embedded object changes it's state.

## Member Function Documentation

## ◆ changingState()

void changingState | ( | [in] com::sun::star::lang::EventObject | aEvent,
|  | [in] long | nOldState,
|  | [in] long | nNewState )
raises | ( | ::com::sun::star::embed::WrongStateException ) |  |  |

is called just before the object changes state.

Actually the listener can try to complain about state changing, but it is up to object to decide whether the state change can be prevented. Anyway the possibility to complain must be used very carefully.

Parameters

  aEvent | specifies the object that is going to change own state
  nOldState | specifies the old state of the object
  nNewState | specifies the new state of the object

Exceptions

  com::sun::star::embed::WrongStateException | the state change is unexpected by listener

## ◆ stateChanged()

void stateChanged | ( | [in] com::sun::star::lang::EventObject | aEvent,
|  | [in] long | nOldState,
|  | [in] long | nNewState )

is called after the object has changed state.

Parameters

  aEvent | specifies the object that has changed own state
  nOldState | specifies the old state of the object
  nNewState | specifies the new state of the object

The documentation for this interface was generated from the following file:

- com/sun/star/embed/XStateChangeListener.idl